
// Copyright (C) 2004, 2005 Andi Peredri <andi@ukr.net>

#include <qwidget.h>


class Star
{
public:
    Star();
    void paint(QPainter *p);
    void restart();
    enum { Border = 50 };
private:
    void drawPoint(QPainter* p, int px, int py);
    void clearPoint(QPainter* p, int px, int py);
    int  x;
    int  y;
    int  color;
    int  movecounter;
};


class Demo;

class MainWindow : public QWidget
{
public:
    MainWindow(WId window);
    ~MainWindow();
protected:
    void           keyPressEvent(QKeyEvent* e);
    void           timerEvent(QTimerEvent* e);
private:
    void           restart();
    void           updateRepaintTimer();
    int            speed;
    int            restarttimer;
    unsigned int   restarttimeout;
    bool           showasteroids;
    bool           showgalaxies;
    bool           showplanets;
    bool           showships;
    Demo*          demo;
    QPixmap        starground;
    QPixmap        workground;
    QPtrList<Star> stars;
};

